Bug 872612 - net: WARN if struct ip_options was allocated directly by kmalloc [rhel-5.9]
Summary: net: WARN if struct ip_options was allocated directly by kmalloc [rhel-5.9]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.9
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Hangbin Liu
URL:
Whiteboard:
Depends On: 855302
Blocks: 874973
TreeView+ depends on / blocked
 
Reported: 2012-11-02 15:02 UTC by Jiri Pirko
Modified: 2015-05-05 01:23 UTC (History)
9 users (show)

Fixed In Version: kernel-2.6.18-346.el5
Doc Type: Enhancement
Doc Text:
The INET socket interface has been modified to send a warning message when the ip_options structure is allocated directly by a third-party module using the kmalloc() function.
Clone Of:
: 872799 (view as bug list)
Environment:
Last Closed: 2013-01-08 04:44:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0006 normal SHIPPED_LIVE Red Hat Enterprise Linux 5.9 kernel update 2013-01-08 08:48:56 UTC

Description Jiri Pirko 2012-11-02 15:02:40 UTC
In case struct ip_options is allocated directly by kmalloc by a 3rd
party module, warn about this situation in get_ip_options_rcu().

Comment 2 RHEL Program Management 2012-11-03 10:00:09 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 9 Phillip Lougher 2012-11-13 20:17:34 UTC
Patch(es) available in kernel-2.6.18-346.el5
You can download this test kernel (or newer) from http://people.redhat.com/plougher/el5/
Detailed testing feedback is always welcomed.
If you require guidance regarding testing, please ask the bug assignee.

Comment 13 errata-xmlrpc 2013-01-08 04:44:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0006.html


Note You need to log in before you can comment on or make changes to this bug.